/*$Header: /a/rathlin/disk/src/master/edml/EDML4/fam.src/UPTODATE/RCS/io.h,v 5.1 91/09/05 18:24:19 edml Exp $*/
/*$Log:	io.h,v $
 * Revision 5.1  91/09/05  18:24:19  edml
 * Version 4.2 of EdML
 * This version does not yet work on machines with large pointers
 * (e.g. DECmips / SGI) - conficts between ASSIGNED/ZERO/MARKBIT macros
 * 
 * Revision 4.4  90/07/04  11:11:16  rjg
 * Readline version 4.1.00
 * New bytecode OpPrompt 
 * 
 * Revision 4.0  89/09/20  13:33:22  rjg
 * incorporated RCS
 * */
/* io.h - FAM i/o routine interface */

#define FAM_FDESC int

typedef struct {
   int FileDescr;
   FILE *FilePtr;
} FAMSTREAM;

FAM_FDESC famopen();
extern FILE *fam_io[];
extern faminitio();
extern FAM_FDESC famopen(), famregstream();
int famread(), famwrite(), famflush(), famclose(),
    famisatty(), famttywait();
extern LWord *ImportState();
extern int ExportState(char *, int, LWord *);
extern SetupStreams();
#ifdef READLINE
extern SetupReadline();
int famintread();
#endif
extern LWord read_hybrid_type();
